diff --git a/core/adapter.c b/core/adapter.c
index 7916ab24..0beebd28 100644
--- a/core/adapter.c
+++ b/core/adapter.c
@@ -35,10 +35,6 @@
  * This time is doubled so as to include the reset command transfer duration.
  */
 #define ADAPTER_RESET_TIME 30000 //microseconds
-/*
- * The number of times the adapter is queried for its type, before it is assumed as unreachable.
- */
-#define ADAPTER_INIT_RETRIES 10
 
 static s_adapter adapters[MAX_CONTROLLERS] = {};
 
@@ -742,12 +738,7 @@ int adapter_detect()
         }
         else
         {
-          int rtype = -1;
-          int i;
-          for (i = 0; i < ADAPTER_INIT_RETRIES && ret == -1; ++i)
-          {
-            ret = adapter_send_short_command(i, BYTE_TYPE);
-          }
+          int rtype = adapter_send_short_command(i, BYTE_TYPE);
 
           if(rtype >= 0)
           {
